package fr.cnam.projet;

import fr.cnam.ihm.*;

// Classe de definition de l'IHM principale du compte
//
public class IHMCompte implements FormulaireInt
{
    private Compte compte;  // Le compte

    // Constructeur
    //
    public IHMCompte(Compte compte)
    {
        this.compte = compte;

        // Creation du formulaire
        Formulaire form = new Formulaire("Exemple",this,880,530);
        
        //  Creation des elements de l'IHM
        //
        form.addLabel("Afficher toutes les operations");
        form.addButton("AFF_TOUT_COMPTE","Tout");
        form.addLabel("");
        form.addText("MOIS","Mois",true,"");
        form.addLabel("");
        form.addLabel("Afficher les operations non budgetees d'un mois ");
        form.addButton("AFF_MOIS_COMPTE","Valider");

        form.setPosition(350,0);
        form.addZoneText("RESULTATS","Resultats",
                            true,
                            "",
                            500,500);

        // Affichage du formulaire
        form.afficher();
    }

    // Methode appellee quand on clique dans un bouton
    //
    public void submit(Formulaire form,String nomSubmit)
    {

        // Affichage de tous les operations du compte
        //
        if (nomSubmit.equals("AFF_TOUT_COMPTE"))
            {
                String res = compte.listerToutesOperations();
                form.setValeurChamp("RESULTATS",res);
            }

        // Affichage de tous les operations d'un mois donne
        //
        if (nomSubmit.equals("AFF_MOIS_COMPTE"))
            {
                String mois = form.getValeurChamp("MOIS");
                String res = compte.listerMoisOperations(mois);
                form.setValeurChamp("RESULTATS",res);
            }
    }

}